#ifndef DICT_H
#define DICT_H
#include <stdio.h>
#include "type.h"

Atom *dictionary ();
Atom *define (Atom *dict, char *name, Atom *value);
Atom *lookup (Atom *dict, char *name);
Atom *nlookup (Atom *dict, char *name);
void fprint_dict (FILE *fp, Atom *dict);
Atom *read_dict (FILE *);
void write_dict (FILE *, Atom *dict);
#endif /* DICT_H */
