#include <stdio.h>
#include <errno.h>
#include <string.h>
#include "dict.h"
#include "global.h"

extern struct global global;


void
nb_dump (int argc, char **argv)
{
    FILE *fp;

    if (argc != 1) {
	fprintf (stderr, "usage: nb2 -dump filename\n");
	exit (1);
    }
    if (strcmp (argv[0], "-") == 0)
	fp = stdout;
    else if ((fp = fopen (argv[0], "w")) == NULL) {
	fprintf (stderr, "nb_dump: %s: cannot open: %s\n",
		 argv[0], strerror (errno));
	exit (1);
    }
    write_dict (fp, global.platform_attrs);
    exit (0);
}
