#ifndef HTTPGET_H
#define HTTPGET_H 1

#include "type.h"

Atom * http_parse_url (char *url);
void http_set_debug_output (FILE *);
FILE *http_get_generic (char *url, int level, char *proxy, char **headers,
			int (*callback)(), void *context);
FILE *http_get_internal (char *url, int level, char * proxy);

int http_get_if_modified_since (char *dest_filename, char *source_base_uri,
				char *datestr, char *newdatestr);

#define HTTP_SUCCESS 0
#define HTTP_NOT_MODIFIED 1
#define HTTP_TEMPFAIL -2
#define HTTP_ERROR -1

#endif /* HTTPGET_H */
